Bug 6092 - stty flush gets set to ^U
stty flush gets set to ^U
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-19 14:54 EDT by bjn
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-01 10:49:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description bjn 1999-10-19 14:54:40 EDT
It appears that stty flush and kill both get set to ^U
somewhere -- stty flush should be ^O.  This gets passed
along when you telnet/rlogin to other hosts, and then ^U
won't function as the line kill character.
Comment 1 Bill Nottingham 1999-10-19 15:08:59 EDT
I can't reproduce this here:
[
notting@bobby:~ ]$ stty -a
speed 9600 baud; rows 24; columns 80; line = 0;
intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>;
eol2 = <undef>; start = ^Q; stop = ^S; susp = ^Z; rprnt = ^R; werase =
^W;
lnext = ^V; flush = ^O; min = 1; time = 0;

Do you have anything odd in your profile settings?
Comment 2 bjn 1999-10-19 17:02:59 EDT
Sorry, I should have said:  this is when running gnome-terminal in an
X session (GNOME and Enlightenment).  I notice that it doesn't happen
from the text consoles (/dev/tty0 etc.).

Thanks!
Comment 3 Owen Taylor 1999-12-01 10:49:59 EST
Tthis is fixed as of gnome-libs-1.0.54. There will be a set of update RPMs
released including that version released shortly.

Note You need to log in before you can comment on or make changes to this bug.